import { Component, createSignal } from 'solid-js';

import SettingsIcon from '@suid/icons-material/Settings';

import style from './SystemDrawer.module.css';
import {
  Box,
  Drawer,
  IconButton,
  List,
  ListItem,
  ListItemButton,
} from '@suid/material';
import Account from '../account';
import SystemInfo from '../system-info/SystemInfo';

interface Props {}

const SystemDrawer: Component<Props> = (props) => {
  const [open, setOpen] = createSignal(false);
  return (
    <>
      <div class={style.control}>
        <IconButton onClick={() => setOpen(true)}>
          <SettingsIcon />
        </IconButton>
        <Drawer open={open()} onClose={() => setOpen(false)} anchor='right'>
          <Box
            sx={{ width: '100%', maxWidth: 200, bgcolor: 'background.paper' }}
          >
            <List>
              <Account />
              <SystemInfo />
            </List>
          </Box>
        </Drawer>
      </div>
    </>
  );
};

export default SystemDrawer;
