import { get, put } from './lib';

export const getDrawingSelections = async (params: any) => {
  const { id, defaultDrawingSelections } = params;
  try {
    const drawingSelections = await get(id, true);
    return drawingSelections.doc;
  } catch (error: any) {
    console.error({ caller: 'defaultDrawingSelections', error });
    return defaultDrawingSelections;
  }
};

export const putDrawingSelections = async (params: any) => {
  const { id, drawingSelections } = params;
  await put(id, 'drawingSelections', (doc) => drawingSelections, {}, true);
  return drawingSelections;
};
