const maybePlusRegexp =
  /^([23456789CFGHJMPQRVWX]+0*\+[23456789CFGHJMPQRVWX]*)(\s+(.*))?$/;

const maybePlusCode = (code: string) => {
  const matches = code.match(maybePlusRegexp);
  if (!matches) {
    return false;
  }
  return {
    code: matches[1],
    isShort: matches[1].length < 9,
    qualifier: matches[3] || undefined,
  };
};

export default maybePlusCode;
