import { findLocation } from '../../components/finder';

const ACCEPTED_ACTIONS = ['android.intent.action.VIEW'];

const ACCEPTED_PROTOCOLS = ['geo:'];

export const geoLocationReceiver = (
  intent: any,
  url: URL | undefined,
  navigate: any
) => {
  if (!ACCEPTED_ACTIONS.includes(intent.action)) {
    return false;
  }

  if (!url) {
    return false;
  }

  if (!ACCEPTED_PROTOCOLS.includes(url.protocol)) {
    return false;
  }

  const q = url.search;
  const [, lat, lon] = q.match(/q=([0-9.-]+),([0-9.-]+)/);
  console.log({ caller: 'geoLocationReceiver', intent, url, lat, lon });
  findLocation(navigate, [lon, lat]);

  return true;
};
