import { findLocation } from '../../components/finder';

const ACCEPTED_ACTIONS = ['android.intent.action.SEND'];

export const gmapReceiver = (
  intent: any,
  url: URL | undefined,
  navigate: any
) => {
  if (!ACCEPTED_ACTIONS.includes(intent.action)) {
    return false;
  }

  if (!intent.extras || !intent.extras['android.intent.extra.TEXT']) {
    return false;
  }

  const matches = intent.extras['android.intent.extra.TEXT'].match(
    /^https:\/\/www\.google\..+\/maps\/place\/(.+\/)?@(-?[0-9.]+),(-?[0-9.]+),[0-9]+z\/.*$/
  );

  if (!matches) {
    return false;
  }

  findLocation(navigate, [matches[3], matches[2]]);

  return true;
};
