import { importUrls } from '../../components/import';

const ACCEPTED_ACTIONS = [
  'android.intent.action.VIEW',
  'android.intent.action.SEND',
];

const ACCEPTED_PROTOCOLS = ['content:'];

const ACCEPTED_TYPES = [
  'application/xml',
  'application/gpx+xml',
  'text/xml',
  'text/plain',
  'image/*',
  'image/jpeg',
];

export const gpxReceiver = (
  intent: any,
  url: URL | undefined,
  navigate: any
) => {
  if (!ACCEPTED_ACTIONS.includes(intent.action)) {
    return false;
  }

  if (!url) {
    return false;
  }

  if (!ACCEPTED_PROTOCOLS.includes(url.protocol)) {
    return false;
  }

  importUrls([url.toString()]);
  return true;
};
