const ACCEPTED_ACTIONS = ['android.intent.action.VIEW'];

const ACCEPTED_PROTOCOLS = ['https:'];

const ACCEPTED_HOSTNAMES = ['web.dyomedea.app'];

export const webLinksReceiver = (
  intent: any,
  url: URL | undefined,
  navigate: any
) => {
  if (!ACCEPTED_ACTIONS.includes(intent.action)) {
    return false;
  }

  if (!url) {
    return false;
  }

  if (!ACCEPTED_PROTOCOLS.includes(url.protocol)) {
    return false;
  }

  if (!ACCEPTED_HOSTNAMES.includes(url.hostname)) {
    return false;
  }

  location.hash = url.hash;
  location.pathname = url.pathname;

  return true;
};
