import { LineString } from 'ol/geom';
import { getLength } from 'ol/sphere';

export const getFormattedLength = (lineString: LineString) => {
  const length = getLength(lineString, { projection: 'EPSG:4326' });
  if (length > 1000) {
    const l = length / 1000;
    return ` ${l.toLocaleString(undefined, {
      minimumFractionDigits: 2,
      maximumFractionDigits: 2,
    })} km`;
  }
  return ` ${length.toLocaleString(undefined, {
    minimumFractionDigits: 0,
    maximumFractionDigits: 0,
  })} m`;
};
