import { afterEach, beforeEach, describe, expect, it, vi } from 'vitest';
import { getTagStatus } from './tags-status';

describe('The getTagStatus function', () => {
  it('should return undefined/false for a tag that does NOT exist', () => {
    expect(getTagStatus('whatever', {}, '', '')).toEqual({
      highlighted: false,
    });
  });
  it('should return highlighted: true for a tag that exists and is highlighted', () => {
    expect(
      getTagStatus(
        'whatever',
        { hiking: { route: { eating: { whatever: {} } } } },
        'hiking',
        'eating'
      )
    ).toEqual({
      type: 'route',
      definition: {},
      highlighted: true,
    });
  });
  it('should return highlighted: false for a tag that exists and is NOT highlighted', () => {
    expect(
      getTagStatus(
        'whatever',
        { hiking: { route: { eating: { whatever: {} } } } },
        'hiking',
        'sleeping'
      )
    ).toEqual({
      type: 'route',
      definition: {},
      highlighted: false,
    });
  });
});
